package com.bocloud.cmp.model.h3c;

import java.util.Date;

/**
 * 虚拟机模板
 */
public class H3cVmTemplateModel {
    /**
     * 虚拟机模板 ID。
     * 长整数（long）类型。
     */
    private long id;
    /**
     * 虚拟机模板名称。
     * 字符串（String）类型。
     */
    private String name;
    /**
     * 虚拟机模板描述。
     * 字符串（String）类型。
     */
    private String description;
    /**
     * 模板内存。
     * 长整形（Long）类型。
     */
    private Long memory;
    /**
     * CPU个数。
     * 整数（int）类型。
     */
    private Integer cpu;
    /**
     * 系统。
     * 整数（int）类型。 枚举值：0 Windows 1 Linux
     */
    private Integer system;
    /**
     * 创建时间。
     * 日期（Date）类型。
     */
    private Date createDate;
    /**
     * 存储。
     * 长整形（Long）类型。
     */
    private Long storageCapacity;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Long getMemory() {
        return memory;
    }

    public void setMemory(Long memory) {
        this.memory = memory;
    }

    public Integer getCpu() {
        return cpu;
    }

    public void setCpu(Integer cpu) {
        this.cpu = cpu;
    }

    public Integer getSystem() {
        return system;
    }

    public void setSystem(Integer system) {
        this.system = system;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Long getStorageCapacity() {
        return storageCapacity;
    }

    public void setStorageCapacity(Long storageCapacity) {
        this.storageCapacity = storageCapacity;
    }
}
